drop table if exists wsnguest_entries ;
 drop table if exists wsnguest_comments ;
 drop table if exists wsnguest_language ;
 drop table if exists wsnguest_settings ;
 drop table if exists wsnguest_members ;
 drop table if exists wsnguest_membergroups ;
 create table wsnguest_entries
 (
     id int NOT NULL auto_increment,
       title text NOT NULL,
       url text NOT NULL,
       validated int default '0' NOT NULL,
       email text NOT NULL,
       time int default '0' NOT NULL,
       numcomments int default '0' NOT NULL,
       hide int default '0' NOT NULL,
       ownerid int NOT NULL,
       voterids text NOT NULL,
       lastedit text NOT NULL,
       ip text NOT NULL,
       name text NOT NULL,
       country text NOT NULL,
       message text NOT NULL,
       city text NOT NULL,
       aim text NOT NULL,
       icq text NOT NULL,
       msn text NOT NULL,
       yahoo text NOT NULL,
       birthdate text NOT NULL,
       birthday text NOT NULL,
       birthmonth text NOT NULL,
       birthyear text NOT NULL,
       state text NOT NULL,
 UNIQUE KEY id (id)
   );
   
   create table wsnguest_comments
 (
     id int NOT NULL auto_increment,
       entryid int NOT NULL,
       posterid int NOT NULL,
       postername text NOT NULL,
       message text NOT NULL,
       time int default '0' NOT NULL,
       entryname text NOT NULL,
       validated int default '0' NOT NULL,
       ip text NOT NULL,
       ownerid int NOT NULL,
       lastedit text NOT NULL,
 UNIQUE KEY id (id)
   );
   
   create table wsnguest_language
 (
     id int NOT NULL auto_increment,
       name text NOT NULL,
       value text NOT NULL,
       groupid text NOT NULL,
       adminonly int default '0' NOT NULL,
 UNIQUE KEY id (id)
   );
   
   create table wsnguest_settings
 (
     id int NOT NULL auto_increment,
       name text NOT NULL,
       content text NOT NULL,
 UNIQUE KEY id (id)
   );
   
   create table wsnguest_members
 (
     id int NOT NULL auto_increment,
       name text NOT NULL,
       comments int default '0' NOT NULL,
       time text NOT NULL,
       usergroup int default '0' NOT NULL,
       password text NOT NULL,
       ip text NOT NULL,
       email text NOT NULL,
       validated int default '0' NOT NULL,
       template text NOT NULL,
       language text NOT NULL,
       entries int default '0' NOT NULL,
       avatar text NOT NULL,
       avatarname text NOT NULL,
 UNIQUE KEY id (id)
   );
   
   create table wsnguest_membergroups
 (
     id int NOT NULL auto_increment,
       title text NOT NULL,
       isadmin int default '0' NOT NULL,
       validatecomments int default '0' NOT NULL,
       validateentries int default '0' NOT NULL,
       validateedits int default '0' NOT NULL,
       cansubmitentries int default '0' NOT NULL,
       cansubmitcomments int default '0' NOT NULL,
       caneditownentries int default '0' NOT NULL,
       caneditowncomments int default '0' NOT NULL,
       caneditownprofile int default '0' NOT NULL,
       caneditallentries int default '0' NOT NULL,
       caneditallcomments int default '0' NOT NULL,
       caneditallprofiles int default '0' NOT NULL,
 UNIQUE KEY id (id)
   );




INSERT INTO {PREFIX}members(name,email,usergroup,ip,entries,comments,template,language,id,password,time,validated,avatar,avatarname) VALUES ('{USERNAME}', '', '3', '', '0', '0', 'templates/default', 'English', '1', '{PASSWORD}', '{TIME}', '1', '', ''); 

INSERT INTO wsnguest_membergroups(id,title,isadmin,validatecomments,validateentries,validateedits,cansubmitentries,cansubmitcomments,caneditownentries,caneditowncomments,caneditownprofile,caneditallentries,caneditallcomments,caneditallprofiles) VALUES ('1','guest','0','0','0','0','1','1','0','0','0','0','0','0'); 
INSERT INTO wsnguest_membergroups(id,title,isadmin,validatecomments,validateentries,validateedits,cansubmitentries,cansubmitcomments,caneditownentries,caneditowncomments,caneditownprofile,caneditallentries,caneditallcomments,caneditallprofiles) VALUES ('2','member','0','0','0','0','1','1','1','1','1','0','0','0'); 
INSERT INTO wsnguest_membergroups(id,title,isadmin,validatecomments,validateentries,validateedits,cansubmitentries,cansubmitcomments,caneditownentries,caneditowncomments,caneditownprofile,caneditallentries,caneditallcomments,caneditallprofiles) VALUES ('3','admin','1','0','0','0','1','1','1','1','1','1','1','1'); 

INSERT INTO wsnguest_settings(id,name,content) VALUES ('1','usergroupfields','id,title,isadmin,validatecomments,validateentries,validateedits,cansubmitentries,cansubmitcomments,caneditownentries,caneditowncomments,caneditownprofile,caneditallentries,caneditallcomments,caneditallprofiles'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('2','orderlinks','ORDER BY id DESC'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('3','email',''); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('4','notify','yes'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('5','perpage','15'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('6','marknew','7'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('7','templatesdir','templates/default'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('8','linkfields','name,email,country,city,message,ip,title,url,aim,icq,msn,yahoo,numcomments,birthdate,id,ownerid,validated,time,hide,lastedit,birthday,birthmonth,birthyear,state'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('9','minlength','1'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('10','maxlength','100000'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('11','excludedtoadmin','|validated|time|hide|lastedit|birthday|birthmonth|birthyear|password|'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('12','dirurl',''); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('13','commentfields','postername,message,id,posterid,time,entryid,entryname,validated,ip,ownerid,lastedit'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('14','attemptcountry','no'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('15','debug','0'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('16','searchfields','name,email,country,city,message,title,url,aim,icq,msn,yahoo'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('17','ordercomments','ORDER BY id ASC'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('18','condition',''); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('19','memberfields','name,email,usergroup,ip,entries,comments,template,language,id,password,time,validated,avatar,avatarname'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('20','allowhtml','no'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('21','defaultlang','English'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('22','languages','English'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('23','bannedips',''); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('24','templates','templates/default'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('25','requiredlinks','name'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('26','requiredcomments','message'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('27','requiredmembers','name,password'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('28','wsncodes',''); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('29','sendthanks','no'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('30','admindir','admin'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('31','registration','direct'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('32','floodcheck','20'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('33','smilies',':),<img src="{TEMPLATESDIR}/images/smilies/smile.gif" border="0">|||{semicolon}),<img src="{TEMPLATESDIR}/images/smilies/wink.gif" border="0">|||:p,<img src="{TEMPLATESDIR}/images/smilies/tongue.gif" border="0">|||:nod:,<img src="{TEMPLATESDIR}/images/smilies/nod.gif" border="0">|||:(,<img src="{TEMPLATESDIR}/images/smilies/sad.gif" border="0">|||:no:,<img src="{TEMPLATESDIR}/images/smilies/no.gif" border="0">|||:nono:,<img src="{TEMPLATESDIR}/images/smilies/nono.gif" border="0">|||:sick:,<img src="{TEMPLATESDIR}/images/smilies/sick.gif" border="0">|||:D,<img src="{TEMPLATESDIR}/images/smilies/grin.gif" border="0">|||:cool:,<img src="{TEMPLATESDIR}/images/smilies/cool.gif" border="0">|||:eyebrow:,<img src="{TEMPLATESDIR}/images/smilies/eyebrow.gif" border="0">|||:mad:,<img src="{TEMPLATESDIR}/images/smilies/mad.gif" border="0">|||:eek:,<img src="{TEMPLATESDIR}/images/smilies/eek.gif" border="0">|||:rolleyes:,<img src="{TEMPLATESDIR}/images/smilies/rolleyes.gif" border="0">'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('34','resetdelay',''); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('35','resetscript',''); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('36','censor',''); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('37','avatarwidth','100'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('38','avatarheight','100'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('39','avatarsize','500000'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('40','avatartypes','jpg,jpeg,gif,png'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('41','uploadpath',''); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('42','notifyadmin','yes'); 
INSERT INTO wsnguest_settings(id,name,content) VALUES ('43','integration',' '); 
